/* SECTION 1 (Marriage laws under civil frwork) */
.framework-container {
  width: 100%;
  padding: 0 20px;
}

.framework-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 80px;
  padding: 80px 0;
  padding-top: 50px;
}

.framework-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.framework-image img {
  max-width: 502px;
  width: 100%;
  min-width: 387px;
  height: auto;
  object-fit: cover;
}

.framework-content {
  max-width: 596px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.framework-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.framework-cards {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.framework-card {
  max-width: 471px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 18px;
  padding: 16px;
  border-radius: 16px;
  border: 1px solid var(--color-green);
  transition: all 0.2s ease;
}

.framework-card-icon {
  width: 73px;
  height: 71px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.framework-card-icon::before {
  content: "";
  position: absolute;
  width: 49px;
  height: 49px;
  background-color: #f2fdf2;
  border-radius: 4px;
  top: 0;
  left: 0;
  z-index: -1;
}

.framework-card-txt {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.frame-work-card-arrow {
  width: 37px;
  height: 23px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 16px;
  background-color: #f2fdf2;
}

.framework-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.framework-card:hover > .framework-card-txt h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.framework-card:hover > .framework-card-icon.c1 img {
  content: url("../../assets/icons/wedding-contract-white-hover-icn.svg");
}

.framework-card:hover > .framework-card-icon.c2 img {
  content: url("../../assets/icons/signature-white-hover-icn.svg");
}

@media (max-width: 1150px) {
  .framework-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1100px) {
  .framework-wrapper {
    justify-content: center;
  }

  .framework-image img {
    max-width: 387px;
  }

  .framework-content {
    max-width: 471px;
  }

  .framework-head-para p {
    max-width: 422px;
  }
}

@media (max-width: 1023.98px) {
  .framework-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .framework-image img {
    min-width: unset;
  }

  .framework-content {
    max-width: 708px;
    align-items: center;
  }

  .framework-head-para {
    gap: 10px;
    align-items: center;
    text-align: center;
  }

  .framework-head-para p {
    max-width: 500px;
  }
}

@media (max-width: 640.98px) {
  .framework-container {
    padding: 0 16px;
  }

  .framework-wrapper {
    gap: 35px;
    padding: 50px 0;
    padding-top: 35px;
  }

  .framework-card-icon {
    width: 50px;
    height: 50px;
  }

  .framework-card-icon img {
    max-width: 34.25px;
  }

  .framework-card-icon::before {
    width: 33.56px;
    height: 33.56px;
  }

  .framework-card-txt {
    padding-right: 11px;
  }
}

@media (max-width: 340.98px) {
  .framework-card-txt {
    padding: 0;
  }
}
